# LibBoard::Transform Struct Reference

`#include <Transforms.h>`

Inheritance diagram for LibBoard::Transform:

List of all members.

## Public Member Functions

virtual double | mapX (double x) const
virtual double | mapY (double y) const =0
virtual void | apply (double &x, double &y) const
virtual double | scale (double x) const
virtual double | rounded (double x) const
virtual void | setBoundingBox (const Rect &rect, const double pageWidth, const double pageHeight, const double margin)=0

## Static Public Member Functions

static double | round (const double &x)

## Protected Attributes

double | _scale
double | _deltaX
double | _deltaY
double | _height

## Detailed Description

The base class for transforms.

The documentation for this struct was generated from the following files:

- include/board/Transforms.h
- src/Transforms.cpp